Bug 1015504 - DLQ and ExpiryQueue queues have not set default Security Configurations
DLQ and ExpiryQueue queues have not set default Security Configurations
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 5 (Show other bugs)
JON 3.2
x86_64 Linux
unspecified Severity urgent
: ER04
: JON 3.2.0
Assigned To: Jirka Kremser
Mike Foley
:
Depends On: 1019100
Blocks: 1012435
  Show dependency treegraph
 
Reported: 2013-10-04 08:09 EDT by Libor Fuka
Modified: 2014-01-02 15:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-02 15:33:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Fuka 2013-10-04 08:09:23 EDT
Description of problem:
DLQ and ExpiryQueue queues have not set default Security Configurations.
This gives error to user in JON UI.

Version-Release number of selected component (if applicable):
JON 3.2.0.ER2 + EAP 5.2.0.GA

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Radim Hatlapatka 2013-10-15 04:00:39 EDT
The Security Configurations shouldn't be enforced see https://bugzilla.redhat.com/show_bug.cgi?id=1019100
Comment 2 Radim Hatlapatka 2013-10-15 04:43:40 EDT
From user point of view. If I have working configuration set on the managed server, then trying to change any configuration attribute shouldn't be enforced by changing configuration of some different unrelated attribute in the configuration of the same resource.

For example in this case for changing maximum length of Queue to be forced to set Security Configurations.
Comment 3 Jirka Kremser 2013-10-17 13:08:57 EDT
(same commit as for bug 1019100)

branch:  release#jon3.2.x
link:    http://git.fedorahosted.org/cgit/rhq/rhq.git/commit/?id=b69353ea3
time:    2013-10-17 19:02:32 +0200
commit:  b69353ea32edb5fe790513fb51bf3efd32aafcbd
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 1019100] - Definition of security constrain per Queue/Topic creation
         shouldn't be enforced - there is no need to require at least
         two items of "Security Configurations". The security for
         topics/queues can be set globally somewhere else or even turned off.
Comment 4 Simeon Pinder 2013-10-24 00:09:26 EDT
Moving to ON_QA for testing in the next build.
Comment 5 Radim Hatlapatka 2013-11-01 12:18:20 EDT
There is another value which is required to change in order to save configuration, I put it to separate BZ#1025812.

The security constrain is no longer enforced and the other issue is tracked in separate BZ.

Note You need to log in before you can comment on or make changes to this bug.